Bug 243014 - security/openssl: Breaking poudriere/buildservers after expiration/deletion
Summary: security/openssl: Breaking poudriere/buildservers after expiration/deletion
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bernard Spil
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-12-31 22:58 UTC by peter.larsen
Modified: 2020-03-17 19:47 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter.larsen 2019-12-31 22:58:54 UTC
MOVED: security/openssl 2019-12-31 Has expired: OpenSSL 1.0.2 is End-of-Life 2019-12-31 at which  time this port will update to 1.1.1 branch

this is breaking, and have been breaking buildservers most of the day so far, might be a good idea to update the port to 1.1.1 asap as mentioned
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-01 02:35:21 UTC
Peter What is being used/built that requires/depends on security/openssl?
Comment 2 commit-hook freebsd_committer 2020-01-01 17:06:02 UTC
A commit references this bug:

Author: brnrd
Date: Wed Jan  1 16:42:46 UTC 2020
New revision: 521745
URL: https://svnweb.freebsd.org/changeset/ports/521745

Log:
  security/openssl111: Rename to openssl

   - Honoring promise from DEPRECATED message
   - Unbreak people's builds

  PR:		243014
  MFH:		2020Q1

Changes:
  head/MOVED
  head/Mk/Uses/ssl.mk
  head/UPDATING
  head/security/Makefile
  head/security/openssl/
  head/security/openssl/Makefile
  head/security/openssl111/
Comment 3 peter.larsen 2020-01-01 18:23:30 UTC
I'm not sure but it seems like this line in MOVED is blocking poudriere and portupgrade from acting correctly

I'm not aware if this is a fault in poudriere/portupgrade or it should have been removed again when renamed:



poudriere log:
[00:00:04] Error: MOVED: security/openssl 2019-12-31 Has expired: OpenSSL 1.0.2 is End-of-Life 2019-12-31 at which  time this port will update to 1.1.1 branch

portupgrade:
# portupgrade --batch -aPn
--->  Session started at: Wed, 01 Jan 2020 19:22:22 +0100
[Reading data from pkg(8) ... - 371 packages found - done]
** Port deleted on 2019-12-31: security/openssl
	Has expired: OpenSSL 1.0.2 is End-of-Life 2019-12-31 at which  time this port will update to 1.1.1 branch
--->  Listing the results (+:done / -:ignored / *:skipped / !:failed)
	- security/openssl (port deleted)
--->  Packages processed: 0 done, 1 ignored, 0 skipped and 0 failed
--->  Session ended at: Wed, 01 Jan 2020 19:22:45 +0100 (consumed 00:00:23)


/usr/ports/MOVED:
security/openssl||2019-12-31|Has expired: OpenSSL 1.0.2 is End-of-Life 2019-12-31 at which  time this port will update to 1.1.1 branch
Comment 4 Rene Ladan freebsd_committer 2020-01-01 18:53:51 UTC
From /usr/ports/Tools/scripts/MOVEDlint.awk :
> 13690: security/openssl must be marked as resurrected

Fixed in HEAD.
Comment 5 commit-hook freebsd_committer 2020-01-01 18:54:11 UTC
A commit references this bug:

Author: rene
Date: Wed Jan  1 18:53:43 UTC 2020
New revision: 521757
URL: https://svnweb.freebsd.org/changeset/ports/521757

Log:
  MOVED: fix for openssl111 rename

  PR:		243014
  Submitted by:	peter.larsen@larsendata.dk
  Reported by:	MOVEDlint, poudriere, portupgrade
  MFH:		2020Q1

Changes:
  head/MOVED
Comment 6 Danny McGrath 2020-01-10 01:31:45 UTC
Hi,

Sorry to bug, but I am just starting to run into some of the OpenSSL problems.

One thing I have noticed is that the security/openssl111 -> security/openssl rename appears to not have been merged to 2020Q1 yet. I noticed that head has this already, so I am mostly curious as to when this may happen, so I can decide if I should rebuild/reinstall a bunch of stuff now, and than again when it lands in Q1, or if I should just wait.

Another question I have is: Is OpenSSL no longer supported for running a `make index` in the ports tree when using an svn checkout? For years, I've always just used SVN and make the index manually, but this appears to no longer work:

=====
#> make index
Generating INDEX-12 - please wait..--- describe.accessibility ---
--- describe.arabic ---
--- describe.archivers ---
--- describe.astro ---
--- describe.archivers ---
make[5]: "/usr/ports/Mk/Uses/ssl.mk" line 97: You are using an unsupported SSL provider openssl
===> archivers/libarchive failed
*** [describe.archivers] Error code 1

make[2]: stopped in /usr/ports
--- describe.astro ---
make[5]: "/usr/ports/Mk/Uses/ssl.mk" line 97: You are using an unsupported SSL provider openssl
===> astro/xephem failed
*** [describe.astro] Error code 1

make[2]: stopped in /usr/ports
2 errors

make[2]: stopped in /usr/ports

********************************************************************
Before reporting this error, verify that you are running a supported
version of FreeBSD (see https://www.FreeBSD.org/ports/) and that you
have a complete and up-to-date ports collection.  (INDEX builds are
not supported with partial or out-of-date ports collections.
If that is the case, then
report the failure to ports@FreeBSD.org together with relevant
details of your ports configuration (including FreeBSD version,
your architecture, your environment, and your /etc/make.conf
settings, especially compiler flags and OPTIONS_SET/UNSET settings).

Note: the latest pre-generated version of INDEX may be fetched
automatically with "make fetchindex".
********************************************************************

*** Error code 1

Stop.
make[1]: stopped in /usr/ports
*** Error code 1

Stop.
make: stopped in /usr/ports
=====



While I thank whomever created "make fetchindex", I expect that only comes from head, not the quarterly that my repos are sync'd to. That aside, what I see in /usr/ports/Mk/Uses/ssl.mk is that it still lists "openssl" as a valid choice. I am confused; is openssl still supported for making the index, or not?
Comment 7 commit-hook freebsd_committer 2020-01-12 17:28:07 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jan 12 17:27:41 UTC 2020
New revision: 522822
URL: https://svnweb.freebsd.org/changeset/ports/522822

Log:
  security/openssl: Resurrect port, update to 1.1.1

  - Honoring promise from DEPRECATED message

  PR:		243014
  Reported by:	<peter larsen larsendata dk>
  Approved by:	ports-secteam (adamw)

Changes:
  branches/2020Q1/MOVED
  branches/2020Q1/security/Makefile
  branches/2020Q1/security/openssl/
  branches/2020Q1/security/openssl/Makefile